/*
 * Copyright 2002 Sun Microsystems, Inc. All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or
 * without modification, are permitted provided that the following
 * conditions are met:
 * 
 * - Redistributions of source code must retain the above copyright
 *   notice, this list of conditions and the following disclaimer.
 * 
 * - Redistribution in binary form must reproduce the above
 *   copyright notice, this list of conditions and the following
 *   disclaimer in the documentation and/or other materials
 *   provided with the distribution.
 * 
 * Neither the name of Sun Microsystems, Inc. or the names of
 * contributors may be used to endorse or promote products derived
 * from this software without specific prior written permission.
 * 
 * This software is provided "AS IS," without a warranty of any
 * kind. ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND
 * WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE HEREBY
 * EXCLUDED. SUN AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY
 * DAMAGES OR LIABILITIES SUFFERED BY LICENSEE AS A RESULT OF OR
 * RELATING TO USE, MODIFICATION OR DISTRIBUTION OF THIS SOFTWARE OR
 * ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS LICENSORS BE LIABLE
 * FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT,
 * SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER
 * CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF
 * THE USE OF OR INABILITY TO USE THIS SOFTWARE, EVEN IF SUN HAS
 * BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 * 
 * You acknowledge that this software is not designed, licensed or
 * intended for use in the design, construction, operation or
 * maintenance of any nuclear facility.
 */

package beantest;

import javax.swing.AbstractButton;
import javax.swing.Action;

import beantest.action.*;

import beantest.util.StatusBar;

import com.sun.java.swing.ui.CommonToolBar;

/**
 * A toolbar for the Bean Builder
 *
 * @version %I% %G%
 * @author  Mark Davidson
 * @see com.sun.java.swing.ui.CommonToolBar
 */
public class BeanToolBar extends CommonToolBar {
    
    public BeanToolBar() {
	super(BeantestActionManager.getInstance());
	// New in 1.4
	setRollover(true);
    }
    
    /** 
     * Configures the toolbar
     */
    protected void addButtons()  {
        addButton(manager.getAction(NewAction.VALUE_NAME));
        addButton(manager.getAction(OpenAction.VALUE_NAME));
        addButton(manager.getAction(SaveAction.VALUE_NAME));
        addButton(manager.getAction(HelpAction.VALUE_NAME));
    }

    /** 
     * Helper method to configure the button 
     */
    protected void configureButton(AbstractButton button, Action action)  {
	super.configureButton(button, action);

        // The status bar listens to mouse events 
	button.addMouseListener(StatusBar.getInstance());
    }

}
